Bug 1490245 - Crash: "dis -l addr" can't show source code line for some call trace [RHEL-ALT]
Summary: Crash: "dis -l addr" can't show source code line for some call trace [RHEL-ALT]
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: crash
Version: 7.4-Alt
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Dave Anderson
QA Contact: Kernel General QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-11 07:02 UTC by xiaoli feng
Modified: 2019-02-19 21:41 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-09-12 13:46:12 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description xiaoli feng 2017-09-11 07:02:12 UTC
Description of problem:

Install two packages:

[root@ibm-x3650m4-01-vm-01 ~]# rpm -qa |grep debug
kernel-debuginfo-common-x86_64-4.11.0-22.el7a.x86_64
kernel-debuginfo-4.11.0-22.el7a.x86_64

Then trigger a panic. Use crash to dump the vmcore.

crash> bt
PID: 24709  TASK: ffff88013900bfc0  CPU: 1   COMMAND: "mkdir"
 #0 [ffffc9000654f630] machine_kexec at ffffffff8105640b
 #1 [ffffc9000654f690] __crash_kexec at ffffffff8113e0b2
 #2 [ffffc9000654f760] crash_kexec at ffffffff8113e1ac
 #3 [ffffc9000654f780] oops_end at ffffffff8102a461
 #4 [ffffc9000654f7a8] no_context at ffffffff8106321e
 #5 [ffffc9000654f808] __bad_area_nosemaphore at ffffffff8106355e
 #6 [ffffc9000654f858] bad_area at ffffffff810a28c5
 #7 [ffffc9000654f880] __do_page_fault at ffffffff81064073
 #8 [ffffc9000654f8f0] trace_do_page_fault at ffffffff810641e3
 #9 [ffffc9000654f928] do_async_page_fault at ffffffff8105df8a
#10 [ffffc9000654f940] async_page_fault at ffffffff8177eba8
    [exception RIP: SMB2_open+1468]
    RIP: ffffffffa04e111c  RSP: ffffc9000654f9f0  RFLAGS: 00010282
    RAX: ffff88000cd56f01  RBX: 0000000000000fb9  RCX: 00000000001848cd
    RDX: 00000000001848cc  RSI: ffff88000cd57c00  RDI: ffff88013a65e140
    RBP: ffffc9000654faf8   R8: 0000000000021dd0   R9: ffffffff811c8827
    R10: ffff88013fd21dd0  R11: ffffea0000335580  R12: ffff8800a5edf800
    R13: 00000000fffffe00  R14: ffffc9000654fb10  R15: ffffc9000654fb18
    ORIG_RAX: ffffffffffffffff  CS: 0010  SS: 0018
#11 [ffffc9000654fb00] smb2_query_symlink at ffffffffa04d982d [cifs]
#12 [ffffc9000654fbd0] cifs_get_link at ffffffffa04c5d2b [cifs]
#13 [ffffc9000654fc40] link_path_walk at ffffffff81272354
#14 [ffffc9000654fcb0] path_lookupat at ffffffff8127252d
#15 [ffffc9000654fcd8] filename_lookup at ffffffff812744ff
#16 [ffffc9000654fde8] user_path_at_empty at ffffffff812746b6
#17 [ffffc9000654fe10] vfs_statx at ffffffff812690f7
#18 [ffffc9000654fe70] SYSC_newstat at ffffffff8126965a
#19 [ffffc9000654ff18] sys_newstat at ffffffff81269b9e
#20 [ffffc9000654ff28] do_syscall_64 at ffffffff81003a47
    RIP: 00007fd9efba0105  RSP: 00007fff171dea58  RFLAGS: 00000246
    RAX: ffffffffffffffda  RBX: 00007fff171e0a1f  RCX: 00007fd9efba0105
    RDX: 00007fff171dea90  RSI: 00007fff171dea90  RDI: 00007fff171e0a7a
    RBP: 00007fff171dec80   R8: 00000000000001ff   R9: 00000000004029f0
    R10: 00007fff171de770  R11: 0000000000000246  R12: 0000000000000011
    R13: 0000000000402c40  R14: 00007fff171decd0  R15: 00000000000001ff
    ORIG_RAX: 0000000000000004  CS: 0033  SS: 002b
crash> 
crash> dis -l ffffffffa04d982d
0xffffffffa04d982d <smb2_query_symlink+205>:    test   %eax,%eax
crash> dis -l ffffffffa04c5d2b
0xffffffffa04c5d2b <cifs_get_link+235>: mov    -0x58(%rbp),%r10
crash> dis -l ffffffff81272354
/usr/src/debug/kernel-alt-4.11.0-22.el7a/linux-4.11.0-22.el7a.x86_64/fs/namei.c: 1055
0xffffffff81272354 <link_path_walk+1284>:       mov    -0x58(%rbp),%r8
crash> dis -l ffffffff8127252d
/usr/src/debug/kernel-alt-4.11.0-22.el7a/linux-4.11.0-22.el7a.x86_64/fs/namei.c: 2269
0xffffffff8127252d <path_lookupat+109>: test   %eax,%eax
crash> 

It's a little strange. The first two address in the call trace can't find source code line. 



Version-Release number of selected component (if applicable):
4.11.0-22.el7a.x86_64
crash-7.1.9-2.el7.x86_64

How reproducible:
once

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 3 Dave Anderson 2017-09-11 13:23:23 UTC
(In reply to xiaoli feng from comment #0)
...
> #11 [ffffc9000654fb00] smb2_query_symlink at ffffffffa04d982d [cifs]
> #12 [ffffc9000654fbd0] cifs_get_link at ffffffffa04c5d2b [cifs]
... [ cut ] ...
> crash> dis -l ffffffffa04d982d
> 0xffffffffa04d982d <smb2_query_symlink+205>:    test   %eax,%eax
> crash> dis -l ffffffffa04c5d2b
> 0xffffffffa04c5d2b <cifs_get_link+235>: mov    -0x58(%rbp),%r10
> crash> dis -l ffffffff81272354
> /usr/src/debug/kernel-alt-4.11.0-22.el7a/linux-4.11.0-22.el7a.x86_64/fs/
> namei.c: 1055
> 0xffffffff81272354 <link_path_walk+1284>:       mov    -0x58(%rbp),%r8
> crash> dis -l ffffffff8127252d
> /usr/src/debug/kernel-alt-4.11.0-22.el7a/linux-4.11.0-22.el7a.x86_64/fs/
> namei.c: 2269
> 0xffffffff8127252d <path_lookupat+109>: test   %eax,%eax
> crash> 
> 
> It's a little strange. The first two address in the call trace can't find
> source code line. 

The first two text addresses are from the "cifs" kernel module, and so
I'm presuming that you didn't run the "mod" command to load the debuginfo 
data for that module? 

$ wget ftp://fs-qe.usersys.redhat.com/vmcore/xifeng/bz1490245/vmcore
--2017-09-11 09:21:11--  ftp://fs-qe.usersys.redhat.com/vmcore/xifeng/bz1490245/vmcore
           => ‘vmcore’
Resolving fs-qe.usersys.redhat.com (fs-qe.usersys.redhat.com)... 10.73.4.177
Connecting to fs-qe.usersys.redhat.com (fs-qe.usersys.redhat.com)|10.73.4.177|:21... connected.
Logging in as anonymous ... Logged in!
==> SYST ... done.    ==> PWD ... done.
==> TYPE I ... done.  ==> CWD (1) /vmcore/xifeng/bz1490245 ... done.
==> SIZE vmcore ... 94917120
==> PASV ... done.    ==> RETR vmcore ... 
No such file ‘vmcore’.

$

Comment 6 xiaoli feng 2017-09-13 01:42:06 UTC
Thanks Dave's particular description.


Note You need to log in before you can comment on or make changes to this bug.